cmake_minimum_required(VERSION 3.14)
project(park)

set(CMAKE_CXX_STANDARD 11)
add_subdirectory(${CMAKE_CURRENT_LIST_DIR}/thirdparty/SQLiteCpp)

include_directories(
        ${CMAKE_CURRENT_LIST_DIR}/thirdparty/SQLiteCpp/include
)


add_executable(park main.cpp data.cpp headers/data.h Customer.cpp headers/Customer.h  Park_spot.cpp headers/Park_spot.h Park_time.cpp headers/Park_time.h)

target_link_libraries(park
        SQLiteCpp
        sqlite3
        pthread
        dl
        )
